Name:		tkgate
Version:	2.1
Release:	%mkrel 3
Group:		Education
Summary:	Event driven digital circuit simulator
License:	GPLv2+
Source0:	%{name}-%{version}.tar.gz
Url:		https://bitbucket.org/starling13/tkgate

BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(pangoxft)
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	bison

Requires:	tcl
Requires:	tk

%description
TkGate is a event driven digital circuit simulator with a tcl/tk-based
graphical editor. TkGate supports a wide range of primitive circuit
elements as well as user-defined modules for hierarchical design.
The distribution comes with a number of tutorial and example circuits
which can be loaded through the "Help" menu. The example circuits include
a simple CPU, programmed to run the Animals game. TkGate is free software
provided with source code under the GNU Public License.

%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
# symlinks points to BuildRoot
rm -f %{buildroot}%{_datadir}/%{name}/libexec/%{name}
ln -s %{_bindir}/%{name} %{buildroot}%{_datadir}/%{name}/libexec/%{name}
rm -f %{buildroot}%{_datadir}/%{name}/libexec/verga
ln -s %{_bindir}/verga %{buildroot}%{_datadir}/%{name}/libexec/verga

%files
%{_docdir}/%{name}
%{_bindir}/gmac
%{_bindir}/%{name}
%{_bindir}/verga
%{_mandir}/man1/gmac*
%{_mandir}/man1/%{name}*
%{_mandir}/man1/verga*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 2.1-3.mga9
+ Revision: 1834003
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.1-2.mga8
+ Revision: 1521232
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 17 2018 alexl <alexl> 2.1-1.mga7
+ Revision: 1341926
- version 2.1
- update url

* Sun Sep 23 2018 umeabot <umeabot> 2.0-16.mga7
+ Revision: 1301425
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 2.0-15.mga6
+ Revision: 958998
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 2.0-14.mga6
+ Revision: 886325
- rebuild for new tcl/tk 8.6.4

* Mon Feb 23 2015 alexl <alexl> 2.0-13.mga5
+ Revision: 816754
- update to beta 10.28
- fix symlinks points to BuildRoot

* Tue Feb 17 2015 alexl <alexl> 2.0-12.mga5
+ Revision: 815430
- update to beta 10.26

* Mon Feb 16 2015 alexl <alexl> 2.0-11.mga5
+ Revision: 815083
- update to beta 10.25
- better installation for docs

* Tue Feb 10 2015 alexl <alexl> 2.0-10.mga5
+ Revision: 814595
- update to beta 10.01

* Wed Oct 15 2014 umeabot <umeabot> 2.0-9.mga5
+ Revision: 748539
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-8.mga5
+ Revision: 689904
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 alexl <alexl> 2.0-7.mga5
+ Revision: 676752
- fixed license tag in spec
- used pkgconfig for buildrequires
- fixed Name and Comment for desktop file
- translated desktop file

* Fri Oct 18 2013 umeabot <umeabot> 2.0-6.mga4
+ Revision: 519662
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0-5.mga3
+ Revision: 384601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 matteo <matteo> 2.0-4.mga3
+ Revision: 329035
- use proper icons format (fix mga#7795)

* Fri Aug 03 2012 matteo <matteo> 2.0-3.mga3
+ Revision: 278298
- added missing br

* Fri Aug 03 2012 matteo <matteo> 2.0-2.mga3
+ Revision: 278192
- fixed verga simulator path
- desktop file added
- removed backup files from sources

* Mon Jul 30 2012 matteo <matteo> 2.0-1.mga3
+ Revision: 276214
- imported package tkgate

